/* 4.3.3.0 (2008/10/01) */
/* og:tabLinkタグで使用します */

var firstTab = "firstTab";
var preSelected = null;
var preSelectedClass = null;

/** 
 * タグ入れ替えようの関数です。
 * 選択されたタグをハイライトに、前回選択されたタグを通常表示に切り替えます
 */
function changeTab( obj, showClass ) { // 4.3.3.6 (2008/11/15)
	// 前回された要素のclass属性を戻します。
//	if( preSelected ) {
	if( preSelected && obj == preSelected ) {
		return;
	}

	if( preSelected ) {
		preSelected.parentNode.className = preSelctedClass;
	}

	// 選択された要素のオブジェクト及びクラス属性を保存します。
	preSelected = obj; // 4.3.5.0 (2008/02/01)
	preSelctedClass = obj.parentNode.className;

	// クリックされたリンクタグの親要素(li)に対して、class属性を書き換えます。
	obj.parentNode.className = showClass;
}

/** 
 * 1番目のタブを選択した状態にします。
 *
 * @og.rev 5.0.2.0 (2009/11/01) openTab属性がfalseの場合でも、openTabNameに指定されたタブに色付けする。
 */
function initialTabSelect( isOpen, showClass ) {
	if( obj = document.getElementById( firstTab ) ) { // 4.3.5.0 (2008/02/01)
		if( isOpen ) {
			obj.click();
		}
		else {
			changeTab( obj, showClass );
		}
	}
}
